<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Gear/Medical/IodineTincture.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/dd2/_iodine_tincture_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">IodineTincture.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/dd2/_iodine_tincture_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d1/d63/class_iodine_tincture.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/d63/class_iodine_tincture.html">IodineTincture</a> : <a class="code hl_class" href="../../df/d7c/class_edible___base.html">Edible_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d1/d63/class_iodine_tincture.html#a71dc3f666dd69bca66fe7650c6892901">    4</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d63/class_iodine_tincture.html#a71dc3f666dd69bca66fe7650c6892901">InitItemVariables</a>()</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    {</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        super.InitItemVariables();</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../df/d2e/_item_base_8c.html#a8501b66ad2d854ae9dd2ffc9ae48f134">can_this_be_combined</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d1/d63/class_iodine_tincture.html#a84ca0aa6d77bba7667b440471a5c59f2">   10</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d63/class_iodine_tincture.html#a84ca0aa6d77bba7667b440471a5c59f2">SetActions</a>()</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        super.SetActions();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d4/d41/class_action_disinfect_target.html">ActionDisinfectTarget</a>);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_function" href="../../d5/dd7/_action_disinfect_self_8c.html#a2b51228f049403e15dcfaed3b197b6fd">ActionDisinfectSelf</a>);;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../db/d38/class_action_wash_hands_item.html">ActionWashHandsItem</a>);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="comment">//AddAction(ActionForceDrinkDisinfectant);</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="comment">//AddAction(ActionDrinkDisinfectant);</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d1/d63/class_iodine_tincture.html#a6e66d9eb10f08e291b7e513339c1050b">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d1/d63/class_iodine_tincture.html#a6e66d9eb10f08e291b7e513339c1050b">GetDisinfectQuantity</a>(<span class="keywordtype">int</span> system = 0, <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> param1 = null)</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">return</span> (<a class="code hl_function" href="../../df/d2e/_item_base_8c.html#ae754c219b69c562e04f544071c11cbb6">GetQuantityMax</a>() * 0.05);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>}</div>
<div class="ttc" id="a_action_disinfect_self_8c_html_a2b51228f049403e15dcfaed3b197b6fd"><div class="ttname"><a href="../../d5/dd7/_action_disinfect_self_8c.html#a2b51228f049403e15dcfaed3b197b6fd">ActionDisinfectSelf</a></div><div class="ttdeci">void ActionDisinfectSelf()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/_action_disinfect_self_8c_source.html#l00024">ActionDisinfectSelf.c:24</a></div></div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00220">AdvancedCommunication.c:220</a></div></div>
<div class="ttc" id="a_item_base_8c_html_a8501b66ad2d854ae9dd2ffc9ae48f134"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a8501b66ad2d854ae9dd2ffc9ae48f134">can_this_be_combined</a></div><div class="ttdeci">bool can_this_be_combined</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l04800">ItemBase.c:4800</a></div></div>
<div class="ttc" id="a_item_base_8c_html_ae754c219b69c562e04f544071c11cbb6"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#ae754c219b69c562e04f544071c11cbb6">GetQuantityMax</a></div><div class="ttdeci">override int GetQuantityMax()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l08054">ItemBase.c:8054</a></div></div>
<div class="ttc" id="aclass_action_disinfect_target_html"><div class="ttname"><a href="../../d4/d41/class_action_disinfect_target.html">ActionDisinfectTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0b/_action_disinfect_target_8c_source.html#l00010">ActionDisinfectTarget.c:11</a></div></div>
<div class="ttc" id="aclass_action_wash_hands_item_html"><div class="ttname"><a href="../../db/d38/class_action_wash_hands_item.html">ActionWashHandsItem</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dee/_action_wash_hands_item_8c_source.html#l00001">ActionWashHandsItem.c:2</a></div></div>
<div class="ttc" id="aclass_edible___base_html"><div class="ttname"><a href="../../df/d7c/class_edible___base.html">Edible_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d78/_bear_steak_meat_8c_source.html#l00001">BearSteakMeat.c:2</a></div></div>
<div class="ttc" id="aclass_iodine_tincture_html"><div class="ttname"><a href="../../d1/d63/class_iodine_tincture.html">IodineTincture</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd2/_iodine_tincture_8c_source.html#l00001">IodineTincture.c:2</a></div></div>
<div class="ttc" id="aclass_iodine_tincture_html_a6e66d9eb10f08e291b7e513339c1050b"><div class="ttname"><a href="../../d1/d63/class_iodine_tincture.html#a6e66d9eb10f08e291b7e513339c1050b">IodineTincture::GetDisinfectQuantity</a></div><div class="ttdeci">override float GetDisinfectQuantity(int system=0, Param param1=null)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd2/_iodine_tincture_8c_source.html#l00021">IodineTincture.c:21</a></div></div>
<div class="ttc" id="aclass_iodine_tincture_html_a71dc3f666dd69bca66fe7650c6892901"><div class="ttname"><a href="../../d1/d63/class_iodine_tincture.html#a71dc3f666dd69bca66fe7650c6892901">IodineTincture::InitItemVariables</a></div><div class="ttdeci">override void InitItemVariables()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd2/_iodine_tincture_8c_source.html#l00004">IodineTincture.c:4</a></div></div>
<div class="ttc" id="aclass_iodine_tincture_html_a84ca0aa6d77bba7667b440471a5c59f2"><div class="ttname"><a href="../../d1/d63/class_iodine_tincture.html#a84ca0aa6d77bba7667b440471a5c59f2">IodineTincture::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd2/_iodine_tincture_8c_source.html#l00010">IodineTincture.c:10</a></div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_f28e0f4933179a31e3883dbb29b7f996.html">Gear</a></li><li class="navelem"><a class="el" href="../../dir_7fef9983aabe90dbb513b59d2414098b.html">Medical</a></li><li class="navelem"><a class="el" href="../../d0/dd2/_iodine_tincture_8c.html">IodineTincture.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
